Package: groovy.lang

## [Java] Class Tuple15T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15

- groovy.lang.Tuple15

- Represents a list of 15 typed Objects.

  Since:
    3.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple15 (T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10, T11 v11, T12 v12, T13 v13, T14 v14, T15 v15)`
    `Tuple15 (Tuple15<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Tuple15<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15>` | `clone()`
    `` | `T1` | `getV1()`
    `` | `T10` | `getV10()`
    `` | `T11` | `getV11()`
    `` | `T12` | `getV12()`
    `` | `T13` | `getV13()`
    `` | `T14` | `getV14()`
    `` | `T15` | `getV15()`
    `` | `T2` | `getV2()`
    `` | `T3` | `getV3()`
    `` | `T4` | `getV4()`
    `` | `T5` | `getV5()`
    `` | `T6` | `getV6()`
    `` | `T7` | `getV7()`
    `` | `T8` | `getV8()`
    `` | `T9` | `getV9()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple15(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7, T8 v8, T9 v9, T10 v10, T11 v11, T12 v12, T13 v13, T14 v14, T15 v15)

    - #### public Tuple15(Tuple15<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15> tuple)

  - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public Tuple15<T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15> clone()

    - #### public T1 getV1()

    - #### public T10 getV10()

    - #### public T11 getV11()

    - #### public T12 getV12()

    - #### public T13 getV13()

    - #### public T14 getV14()

    - #### public T15 getV15()

    - #### public T2 getV2()

    - #### public T3 getV3()

    - #### public T4 getV4()

    - #### public T5 getV5()

    - #### public T6 getV6()

    - #### public T7 getV7()

    - #### public T8 getV8()

    - #### public T9 getV9()